Summary: Utilities for managing the second extended (ext2) filesystem.
Name: e2fsprogs
Version: 1.25
Release: 1tr
License: GPL
Group: System/Base
Buildroot: /var/tmp/%{name}-root
Source: ftp://download.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
Prereq: /sbin/ldconfig /bin/rm

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you are using any ext2
filesystems (if you're not sure, you probably should install this
package).

%package devel
Summary: Ext2 filesystem-specific static libraries and headers.
Group: Libraries/Development
Requires: e2fsprogs
PreReq: info

%description devel
E2fsprogs-devel contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

You should install e2fsprogs-devel if you want to develop ext2
filesystem-specific programs.  If you install e2fsprogs-devel, you'll
also need to install e2fsprogs.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/ --bindir=/usr/bin --datadir=/usr/share --includedir=/usr/include --enable-elf-shlibs --mandir=/usr/share/man --infodir=/usr/share/info --libdir=/usr/lib

make libs progs docs

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH
make install install-libs DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# Remove possibly old version
/bin/rm -f /usr/sbin/resize2fs

%postun -p /sbin/ldconfig

%post devel
if [ -x /sbin/install-info ]; then
   /sbin/install-info /usr/share/info/libext2fs.info.gz /usr/share/info/dir
fi

%postun devel
if [ $1 = 0 -a -x /sbin/install-info ]; then
   /sbin/install-info --delete /usr/share/info/libext2fs.info.gz /usr/share/info/dir
fi

%files
%defattr(-,root,root)
%doc README RELEASE-NOTES
/sbin
/lib
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/usr/share/man/man1/chattr.1*
/usr/share/man/man1/lsattr.1*
/usr/share/man/man1/uuidgen.1*
/usr/share/man/man8

%files devel
%defattr(-,root,root)
/usr/share/info/libext2fs.info*
/usr/bin/compile_et
/usr/bin/mk_cmds
/usr/lib
/usr/share/et
/usr/share/ss
/usr/include
/usr/share/man/man1/compile_et.1*
/usr/share/man/man3

%changelog
* Mon Jan 14 2002 Christian H. Toldnes <christht@trustix.com>
- New upstream version: 1.25

* Wed Jul  4 2001 Erlend Midttun <erlendbm@trustix.com>
- New upstream version: 1.22

* Fri Jun  1 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 1.20

* Wed Sep 13 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 1.19

* Wed Mar 15 2000 Oystein Viggen <oysteivi@trustix.com>
- Fixed some bugs with placement of files.

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- Moved man and info pages to /usr/share


